Bug 139577 - fix to pkgname of port mail/heirloom-mailx
Summary: fix to pkgname of port mail/heirloom-mailx
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexander Logvinov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-13 19:50 UTC by Jamie Jones
Modified: 2014-06-16 04:27 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.32 KB, patch)
2009-10-13 19:50 UTC, Jamie Jones
no flags Details | Diff
fix.diff (1.31 KB, patch)
2009-10-13 20:35 UTC, Jamie Jones
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jamie Jones 2009-10-13 19:50:01 UTC
Since the switching of SourceForge ports to the new File Release System, this port has
been installing its pkginfo into /var/db/pkg/-mailx-12.4_1 instead of /var/db/pkg/heirloom-mailx-12.4_1

This caused pkgdb -F to go nuts, therefore this is relatively serious when port updating.

Probably needs revision bump to fix the problem for any users that have installed this port
since the update on 22 Aug 2009 01:28:34

However, if they HAVE, they will also need to manually do a rm -r /var/db/pkg/-mailx-* for things
to get back to normal, so maybe such information should be put into ports/UPDATING or maybe
added to the makefile itself (yuck) ?

Fix: make a note in /usr/ports/UPDATING to rm -rf /var/db/pkg/-mail-* or maybe temporarily
get the makefile to do it?

apply this patch to mail/heirloom-mailx/Makefile:
How-To-Repeat: 
Install /usr/ports/mail/heirloom-mailx

It will appear to install ok, and work ok, but pkgdb -F goes wonky.
Also, port will not deinstall, because of incorrect pkgname
Comment 1 Edwin Groothuis freebsd_committer 2009-10-13 19:50:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->avl

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jamie Jones 2009-10-13 20:35:04 UTC
Sorry, that's the wrong patch. Here's the correct one
Comment 3 dfilter service freebsd_committer 2009-10-14 13:24:17 UTC
avl         2009-10-14 12:24:03 UTC

  FreeBSD ports repository

  Modified files:
    mail/heirloom-mailx  Makefile 
  Log:
  - Fix wrong PKGNAME
  
  PR:             ports/139577
  Submitted by:   Jamie Landeg Jones <jamie at bishopston.net>
  
  Revision  Changes    Path
  1.56      +2 -2      ports/mail/heirloom-mailx/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Alexander Logvinov freebsd_committer 2009-10-14 13:32:55 UTC
State Changed
From-To: open->closed

Committed. Thanks!